Update an ACL alias
put
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the ACL alias.
Body
An ACL alias, as accepted when creating or updating one.
addressesstringRequired
namestringRequired
portsstringRequired
protocolsinteger · int32[]Required
Responses
200
ACL alias updated.
application/json
An ACL alias component. All relations represented as arrays of IDs.
addressesstringRequired
idinteger · int64Optional
kindstring · enumRequiredPossible values:
Type of an ACL alias:
destination: the alias defines a complete destination that an ACL rule applies to.component: the alias defines parts of a destination and is combined with the parts defined in the ACL rule itself.
namestringRequired
parent_idinteger · int64 · nullableOptional
portsstringRequired
protocolsinteger · int32[]Required
rulesinteger · int64[]Required
statestring · enumRequiredPossible values:
ACL alias can be in one of the following states:
- Applied: the alias can be used in ACL rules
- Modified: the alias has been modified and the changes have not yet been applied
Unlike ACL rules themselves aliases do not require a New state,
since they do not cause any changes to locations until they
are used by a rule.
Deleted state is also omitted since we don't allow deleting if an alias is used by any rules.
400
Alias addresses, ports or protocols are missing.
application/json
401
Session is missing or invalid.
application/json
403
Requires admin privileges and an active enterprise license.
application/json
404
ACL alias not found.
application/json
422
Invalid addresses, ports or protocols.
application/json
500
Unable to update ACL alias.
application/json
put/api/v1/acl/alias/{id}
Last updated
Was this helpful?